SQ(1)

NAME
sq cert export - Exports certificates from the local certificate store

SYNOPSIS
sq cert export [OPTIONS]

DESCRIPTION
Exports certificates from the local certificate store.

If multiple predicates are specified a certificate is returned if at least one of them matches.

This does not check the authenticity of the certificates in anyway. Before using the certificates, be sure to validate and authenticate them.

When matching on subkeys or User IDs, the component must have a valid self signature according to the policy. This is not the case when matching the certificate's key handle using `--cert` or when exporting all certificates.

Fails if search criteria are specified and none of them matches any certificates. Note: this means if the certificate store is empty and no search criteria are specified, then this will return success.

OPTIONS

  Subcommand options

-B, --binary
    Emits binary data

--cert=FINGERPRINT|KEYID
    Returns certificates that have the specified fingerprint or key ID

--domain=DOMAIN
    Returns certificates that have a User ID with an email address from the specified domain

--email=EMAIL
    Returns certificates that have a User ID with the specified email address, case insensitively

--grep=PATTERN
    Returns certificates that have a User ID that contains the string, case insensitively

--key=FINGERPRINT|KEYID
    Returns certificates where the primary key or a subkey has the specified fingerprint or key ID

--userid=USERID
    Returns certificates that have a User ID that matches exactly, including case

  Global options

--cert-store=PATH
    Specifies the location of the certificate store. By default, sq uses the OpenPGP certificate directory at `$HOME/.local/share/pgp.cert.d`, and creates it if it does not exist.

-f, --force
    Overwrites existing files

-h, --help
    Print help (see a summary with '-h')

--keyring=PATH
    Specifies the location of a keyring to use. Keyrings are used in addition to any certificate store. The content of the keyring is not imported into the certificate store. When a certificate is looked up, it is looked up in all keyrings and any certificate store, and the results are merged together.

--known-notation=NOTATION
    Adds NOTATION to the list of known notations. This is used when validating signatures. Signatures that have unknown notations with the critical bit set are considered invalid.

--no-cert-store
    Disables the use of a certificate store. Normally sq uses the user's standard cert-d, which is located in `$HOME/.local/share/pgp.cert.d`.

--output-format=FORMAT
    Produces output in FORMAT, if possible

--output-version=VERSION
    Produces output variant VERSION, such as 0.0.0. The default is the newest version. The output version is separate from the version of the sq program. To see the current supported versions, use output-versions subcommand.

--pep-cert-store=PATH
    Specifies the location of a pEp certificate store. sq does not use a pEp certificate store by default; it must be explicitly enabled using this argument or the corresponding environment variable, PEP_CERT_STORE. The pEp Engine's default certificate store is at `$HOME/.pEp/keys.db`.

--time=TIME
    Sets the reference time as an ISO 8601 formatted timestamp. Normally, commands use the current time as the reference time. This argument allows the user to use a difference reference time. For instance, when creating a key using `sq key generate`, the creation time is normally set to the current time, but can be overridden using this option. Similarly, when verifying a message, the message is verified with respect to the current time. This option allows the user to use a different time.

    TIME is interpreted as an ISO 8601 timestamp. To set the certification time to July 21, 2013 at midnight UTC, you can do:

    $ sq --time 20130721 verify msg.pgp

    To include a time, say 5:50 AM, add a T, the time and optionally the timezone (the default timezone is UTC):

    $ sq --time 20130721T0550+0200 verify msg.pgp

--trust-root=FINGERPRINT|KEYID
    Considers the specified certificate to be a trust root. Trust roots are used by trust models, e.g., the Web of Trust, to authenticate certificates and User IDs.

-v, --verbose
    Be more verbose.

EXAMPLES

Exports all certificates.

    sq cert export > all.pgp

Exports certificates with a matching User ID packet. The binding signatures are checked, but the User IDs are not authenticated. Note: this check is case sensitive.

    sq cert export --userid 'Alice <alice@example.org>'

Exports certificates with a User ID containing the email address. The binding signatures are checked, but the User IDs are not authenticated. Note: this check is case insensitive.

    sq cert export --email 'alice@example.org'

Exports certificates where the certificate (i.e., the primary key) has the specified Key ID.

    sq cert export --cert 1234567812345678

Exports certificates where the primary key or a subkey matches the specified Key ID.

    sq cert export --key 1234567812345678

Exports certificates that contain a User ID with *either* (not both!) email address. Note: this check is case insensitive.

    sq cert export --email alice@example.org --email bob@example.org

SEE ALSO
sq(1), sq-cert(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.33.0 (sequoia-openpgp 1.17.0)